For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all listings
        • GETGet a listing by ID
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
AppfolioListings

Get all listings

GET
/v1/listings/
GET
/v1/listings/
$curl https://api.propexo.com/v1/listings/ \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "id": "clwktsp9v000008l31iv218hn",
14 "created_at": "2024-03-21T15:38:08.337Z",
15 "updated_at": "2024-03-22T10:59:45.119Z",
16 "last_seen": "2024-03-22T10:59:45.119Z",
17 "x_id": "string",
18 "x_property_id": "string",
19 "x_unit_id": "string",
20 "x_floor_plan_id": "22cd4f16-fad2-4ec6-ad75-0f13f1a43f42",
21 "is_unit": true,
22 "available_date": "2023-07-25T00:00:00Z",
23 "application_url": "https://example.appfolio.com/listings/rental_applications/new?listable_uid=2095219a-fc39-4b58-92f1-7ab1b3cef370",
24 "bathrooms": "2.5",
25 "bathrooms_full": 2,
26 "bathrooms_half": 1,
27 "bedrooms": "2",
28 "building_name": null,
29 "building_number": null,
30 "city": "Boston",
31 "country": null,
32 "custom_data": {},
33 "deposit_amount_in_cents": 150000,
34 "floor": null,
35 "image_urls": [
36 "https: //images.cdn.appfolio.com/example/images/7c65166f-64b6-48fd-840f-7a005689452f/large.png"
37 ],
38 "is_available": null,
39 "is_furnished": null,
40 "is_listed": true,
41 "is_managed_external": null,
42 "is_vacant": null,
43 "lease_term": null,
44 "listing_title": "Our finest unit",
45 "listing_date": null,
46 "marketing_name": null,
47 "notes": null,
48 "number": null,
49 "rent_amount_in_cents": 150000,
50 "specials": null,
51 "square_feet": 535,
52 "state": "MA",
53 "address_1": "123 Main St",
54 "address_2": "string",
55 "property_description": "Our finest property",
56 "short_description": "Itaque autem ut. Et id vel. Temporibus vero ad.",
57 "unit_description": null,
58 "zip": "02116",
59 "make_ready_date": null,
60 "vacate_date": null,
61 "video_urls": [
62 "https://www.youtube.com/watch?v=jNQXAC9IVRw"
63 ],
64 "status_raw": null,
65 "property_id": "clwi5xiix000008l6ctdgafyh",
66 "unit_id": "string",
67 "floor_plan_id": "cm7xvp5vb88803888363al35e7bse4z",
68 "integration_id": "clwh5u07w000508me66sfh3um",
69 "integration_vendor": "APPFOLIO",
70 "x_location_id": null,
71 "unit_type_id": null,
72 "floor_plan_code": "4e4d03ca-ad4a-403a-9326-8eb5e1d61dd7",
73 "floor_plan_name": "1 Bedroom Unit",
74 "street_address_1": "string",
75 "street_address_2": "string"
76 }
77 ]
78}
Get all listings
Was this page helpful?
Previous

Get a listing by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
x_idstringOptional
The external listing id
location_idstringOptional

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

unit_idstringOptional
The Propexo unique identifier for the unit
property_idstringOptional
The Propexo unique identifier for the property
integration_idstringOptional
The Propexo integration id
integration_vendorenumOptional
The integration vendor for the listing.

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error